# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.gef.zest.fx.ZestProperties
Modifier and Type
Constant Field
Value
`public static final String`
`CONTROL_POINTS__E`
`"edge-control-points"`
`public static final String`
`CSS_CLASS__NE`
`"element-css-class"`
`public static final String`
`CSS_ID__NE`
`"element-css-id"`
`public static final String`
`CURVE__E`
`"edge-curve"`
`public static final String`
`CURVE_CSS_STYLE__E`
`"edge-curve-css-style"`
`public static final String`
`END_POINT__E`
`"edge-end-point"`
`public static final String`
`EXTERNAL_LABEL__NE`
`"element-external-label"`
`public static final String`
`EXTERNAL_LABEL_CSS_STYLE__NE`
`"element-external-label-css-style"`
`public static final String`
`EXTERNAL_LABEL_POSITION__NE`
`"element-external-label-position"`
`public static final String`
`EXTERNAL_LABEL_TOOLTIP__NE`
`"element-external-label-tooltip"`
`public static final String`
`ICON__N`
`"node-icon"`
`public static final String`
`INTERPOLATOR__E`
`"edge-interpolator"`
`public static final String`
`INVISIBLE__NE`
`"element-invisible"`
`public static final String`
`LABEL__NE`
`"element-label"`
`public static final String`
`LABEL_CSS_STYLE__NE`
`"element-label-css-style"`
`public static final String`
`LABEL_POSITION__E`
`"edge-label-position"`
`public static final String`
`LABEL_TOOLTIP__E`
`"edge-label-tooltip"`
`public static final String`
`LAYOUT_ALGORITHM__G`
`"graph-layout-algorithm"`
`public static final String`
`LAYOUT_IRRELEVANT__NE`
`"element-layout-irrelevant"`
`public static final String`
`MODEL__GNE`
`"element-model"`
`public static final String`
`POSITION__N`
`"node-position"`
`public static final String`
`ROUTER__E`
`"edge-router"`
`public static final String`
`SHAPE__N`
`"node-shape"`
`public static final String`
`SHAPE_CSS_STYLE__N`
`"node-rect-css-style"`
`public static final String`
`SIZE__N`
`"node-size"`
`public static final String`
`SOURCE_DECORATION__E`
`"edge-source-decoration"`
`public static final String`
`SOURCE_DECORATION_CSS_STYLE__E`
`"edge-source-decoration-css-style"`
`public static final String`
`SOURCE_LABEL__E`
`"edge-source-label"`
`public static final String`
`SOURCE_LABEL_CSS_STYLE__E`
`"edge-source-label-css-style"`
`public static final String`
`SOURCE_LABEL_POSITION__E`
`"edge-source-label-position"`
`public static final String`
`SOURCE_LABEL_TOOLTIP__E`
`"edge-source-label-tooltip"`
`public static final String`
`START_POINT__E`
`"edge-start-point"`
`public static final String`
`TARGET_DECORATION__E`
`"edge-target-decoration"`
`public static final String`
`TARGET_DECORATION_CSS_STYLE__E`
`"edge-target-decoration-css-style"`
`public static final String`
`TARGET_LABEL__E`
`"edge-target-label"`
`public static final String`
`TARGET_LABEL_CSS_STYLE__E`
`"edge-target-label-css-style"`
`public static final String`
`TARGET_LABEL_POSITION__E`
`"edge-target-label-position"`
`public static final String`
`TARGET_LABEL_TOOLTIP__E`
`"edge-target-label-tooltip"`
`public static final String`
`TOOLTIP__E`
`"edge-tooltip"`
`public static final String`
`TOOLTIP__N`
`"node-tooltip"`

org.eclipse.gef.zest.fx.models.HidingModel
Modifier and Type
Constant Field
Value
`public static final String`
`HIDDEN_PROPERTY`
`"hidden"`

org.eclipse.gef.zest.fx.parts.AbstractLabelPart
Modifier and Type
Constant Field
Value
`public static final String`
`CSS_CLASS_LABEL`
`"label"`
org.eclipse.gef.zest.fx.parts.EdgePart
Modifier and Type
Constant Field
Value
`public static final String`
`CSS_CLASS`
`"edge"`
`public static final String`
`CSS_CLASS_CURVE`
`"curve"`
`public static final String`
`CSS_CLASS_DECORATION`
`"decoration"`
org.eclipse.gef.zest.fx.parts.NodePart
Modifier and Type
Constant Field
Value
`public static final String`
`CSS_CLASS`
`"node"`
`public static final String`
`CSS_CLASS_ICON`
`"icon"`
`public static final String`
`CSS_CLASS_LABEL`
`"label"`
`public static final String`
`CSS_CLASS_SHAPE`
`"shape"`
`protected static final double`
`DEFAULT_CHILDREN_PANE_HEIGHT`
`300.0`
`protected static final double`
`DEFAULT_CHILDREN_PANE_WIDTH`
`300.0`
`public static final double`
`DEFAULT_NESTED_CHILDREN_ZOOM_FACTOR`
`0.25`
`public static final double`
`DEFAULT_OUTER_LAYOUT_CONTAINER_HEIGHT_NESTING`
`75.0`
`public static final double`
`DEFAULT_OUTER_LAYOUT_CONTAINER_WIDTH_NESTING`
`75.0`
`protected static final double`
`DEFAULT_SHAPE_PADDING`
`5.0`
`protected static final double`
`ZOOMLEVEL_SHOW_NESTED_GRAPH`
`2.0`